> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete P11D Batch



## OpenAPI

````yaml /api-reference/preview.json post /gb/organizations/{organization_id}/exb/p11ds/batch-delete
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /gb/organizations/{organization_id}/exb/p11ds/batch-delete:
    post:
      tags:
        - Great Britain
        - Expenses and Benefits
        - Great Britain
        - EXB P11D
      summary: Delete P11D Batch
      operationId: >-
        delete_p11d_batch_gb_organizations__organization_id__exb_p11ds_batch_delete_post
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: tax_year
          in: query
          required: true
          schema:
            type: integer
            description: Tax year start, e.g. 2025 for 2025-26
            title: Tax Year
          description: Tax year start, e.g. 2025 for 2025-26
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/P11DDeleteRequest'
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    P11DDeleteRequest:
      properties:
        p11d_ids:
          items:
            anyOf:
              - type: string
              - type: string
                format: uuid
          type: array
          minItems: 1
          title: P11D Ids
      additionalProperties: true
      type: object
      required:
        - p11d_ids
      title: P11DDeleteRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````